tquic(1)

NAME
tquic - TQt user interface compiler

SYNOPSIS
tquic [options] file

DESCRIPTION
This page documents the User Interface Compiler for the TQt GUI toolkit. The tquic reads a user interface definition (.ui) file in XML as generated by TQt Designer and creates corresponding C++ header or source files. It also generates an image file that embeds raw image data in C++ source code.

Generate declaration:
tquic [options] <file>

Generate implementation:
tquic [options] -impl <headerfile> <file>
        <headerfile>: name of the declaration file

Generate image collection:
tquic [options] -embed <project> <image1> <image2> <image3> ...
        <project>: project name
        <image[1..n]>: image files

For convenience, tquic can also generate declaration or implementation stubs for subclasses.

Generate subclass declaration:
tquic [options] -subdecl <subclassname> <baseclassheaderfile> <file>
        <subclassname>: name of the subclass to generate
        <baseclassheaderfile>: declaration file of the baseclass

Generate subclass implementation:
tquic [options] -subimpl <subclassname> <subclassheaderfile> <file>
        <subclassname>: name of the subclass to generate
        <subclassheaderfile>: declaration file of the subclass

GENERAL OPTIONS

-o file
    Write output to file rather than to stdout.

-nofwd
    Omit forward declarations of custom classes in the generated header file. This is necessary if typedef classes are used.

-tr func
    Use func() instead of tr() for internationalization.

-version
    Display the version of tquic and exit.

USAGE
tquic is almost always invoked by make(1), rather than by hand.

Here are useful makefile rules if you only use GNU make:

%.h: %.ui
        tquic $< -o $@
%.cpp: %.ui
        tquic -impl $*.h $< -o $@

If you want to write portably, you can use individual rules of the following form:

NAME.h: NAME.ui
        tquic $< -o $@
NAME.cpp: NAME.ui
        tquic -impl $*.h $< -o $@

You must also remember to add NAME.cpp to your SOURCES (substitute your favorite name) variable and NAME.o to your OBJECTS variable.

(While we prefer to name our C++ source files .cpp, the tquic doesn't care, so you can use .C, .cc, .CC, .cxx or even .c++ if you prefer.)

SEE ALSO
https://trinitydesktop.org/docs/qt3/

AUTHOR
Trolltech ASA <info@trolltech.com>